<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FEF898"
    android:gravity="center"
    android:orientation="vertical">

    <GridLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/AllGridLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:columnCount="5"
        android:orientation="horizontal"
        android:rowCount="31">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Config_Version(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/configversion"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:layout_column="2"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="        " />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Touch Number(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/touchnumber"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="1"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Shake_Cnt(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/shakecnt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="First_Filter(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/firstfilter"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="3"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Normal_Filter(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/normalfilter"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Noise_Reduction(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/noisereduction"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="5"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="6"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Screen_Touch_Lv(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/touchlevel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="6"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Screen_Leave_Lv(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/leavelevel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="7"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="LowPowerControl(D)"
            android:textColor="#000000"
            android:textSize="22dp" />

        <EditText
            android:id="@+id/lowpowercontrol"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Refresh_Rate"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/refreshrate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/refresh_rate"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_row="9"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="X_Threshold(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/xthreshold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Y_Threshold(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/ythreshold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="11"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="12"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Space_Up_Down(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/spaceupdown"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="12"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Space_Left_Right(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/spaceleftright"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="13"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="14"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Stretch_R0(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/stretchr0"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="14"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Stretch_R1(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/stretchr1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="15"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="16"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Stretch_R2(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/stretchr2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="16"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Stretch_RM(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/stretchrm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="17"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="18"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Mini_Filter(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/minifilter"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="18"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Charging_Level_Up(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/charginglevelup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="19"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="20"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="LcdPlusMinusValue(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/lcdplusminusvalue"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="20"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Con_Threshold(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/conthreshold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="21"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="22"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Shape_Restrain(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/shaperestrain"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="22"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Shape_Contrl(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/shapecontrl"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="23"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="24"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="WaterFrameTime(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/waterframetime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="24"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="WaterUpdateTime(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/waterupdatetime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="25"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="26"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="SlideInEdgeConfig(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/slideinedgeconfig"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="26"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="SlideOutEdgeConfig(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/slideoutedgeconfig"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="27"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="28"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Combine_Dis(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/combinedis"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="28"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Split_Set(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/splitset"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="29"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="30"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="SitoDiffRefLevel(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/sitodiffreflevel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

    </GridLayout>

</LinearLayout>